Bug 370601 - Bad parsing of HTML mails the first time
Bad parsing of HTML mails the first time
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-07 18:43 EST by Bastien Nocera
Modified: 2009-07-14 14:11 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 14:11:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
bad-spam.png (28.60 KB, image/png)
2007-11-07 18:45 EST, Bastien Nocera
no flags Details
proper-spam.png (53.16 KB, image/png)
2007-11-07 18:45 EST, Bastien Nocera
no flags Details
spam.txt (13.80 KB, text/plain)
2007-11-07 18:46 EST, Bastien Nocera
no flags Details

  None (edit)
Description Bastien Nocera 2007-11-07 18:43:51 EST
evolution-2.12.1-3.fc8
gtkhtml3-3.16.1-1.fc8

Whilst reading my new mail, sometimes some spam mails will show up as "sources"
the first time I read them. Clicking another mail item and coming back to it
shows the good spam.

It also happens with mail sent as HTML from normal users, so it's probably not
100% related to the content of that mail.
Comment 1 Bastien Nocera 2007-11-07 18:45:03 EST
Created attachment 251041 [details]
bad-spam.png

What it looks like the first time you get to it.
Comment 2 Bastien Nocera 2007-11-07 18:45:37 EST
Created attachment 251051 [details]
proper-spam.png

And after coming back to it.
Comment 3 Bastien Nocera 2007-11-07 18:46:09 EST
Created attachment 251061 [details]
spam.txt

The sources of the mail.
Comment 4 Milan Crha 2007-11-09 05:32:03 EST
I cannot reproduce this. I imported that mail, click on in to see and everything
works just fine. I suspect that your spam checker did this, but it's just a guess.
Can you try if you have same behavior if you only import the attached message to
the Evolution and click on it, if it will do same? If yes, can you try to
disable your spam checker and try again. If it helps, can you write here your
setup from Edit->Preferences->Mail Preferences, tab Junk, please? Thanks in advance.
Comment 5 Bastien Nocera 2007-11-12 04:53:56 EST
It's only "sometimes", and with random HTML mails, mostly spam. It's not 100%
reproduceable.

My spam filter was enabled, but I don't have any spam filtering plugins
installed (I'll file another bug, as older versions required spamassassin, and
spam filtering worked out of the box).

Again, going to another mail and back to that one usually displays the mail
correctly. Probably a race of some kind, or a bug in handling partial text in
GtkHtml. Not really sure.
Comment 6 Bastien Nocera 2008-06-24 12:55:06 EDT
Matthew, could you try subscribing to the clutter-list ML? It happens all the
time on this list:
http://lists.o-hand.com/clutter/
I also noticed something weird in the headers of one of the mails:
List-Archive: http://lists.o-hand.com/clutter/MIME-Version: 1.0
Comment 7 Matthew Barnes 2008-07-10 08:40:16 EDT
Dumb question, but how do I subscribe to that list?
(Guess I'm too used to Mailman.)
Comment 8 Milan Crha 2008-07-10 09:21:19 EDT
It was a bit hard to find how to subscribe, everywhere I looked was only to
unsubscribe, but finally I found that it's done by just sending an email to
clutter+subscribe@o-hand.com

I'm receiving mails from them since July 1st, some of them are HTML, most of
them plain-text, but I cannot see the behaviour on my svn version. I have
prefer-plain in state "Show HTML if present".
Comment 9 Milan Crha 2008-08-07 10:01:26 EDT
Still no luck in reproducing in recent svn version. Bastien, your version is a bit old, not so much, but a bit it is. I'm not aware of any change in 2.12.3, or better in 2.22 in F9, but I believe the later will do things differently.
Are you able and willing to try with Fedora 9?
Comment 10 Bastien Nocera 2008-08-07 13:17:48 EDT
I still see it with:
evolution-2.22.3.1-1.fc9.x86_64
gtkhtml3-3.18.3-1.fc9.x86_64

Still able to reproduce when reading mail from an IMAP server. Likely a slow-ish server (it's not on the local network), and me switching mails too fast?
Comment 11 Bug Zapper 2009-06-09 19:09:32 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Bug Zapper 2009-07-14 14:11:53 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.